package cn.wzpmc.hny.commands.lobby.sub.debug;

import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import net.kyori.adventure.text.Component;
import org.bukkit.command.CommandSender;

public class DoneCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        String stageName = commandContext.getArgument("stageName", String.class);
        Games game = Games.valueOf(stageName.toUpperCase());
        GameStageManager.getInstance().triggerGameEnd(game);
        CommandSender source = commandContext.getSource();
        source.sendMessage(Component.text("完成了阶段" + stageName));
        return 0;
    }
}
