package cn.wzpmc.hny.commands.lobby.sub.debug;

import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.PlayerDataManager;
import cn.wzpmc.hny.pojo.GlobalPlayerData;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.CommandSender;

public class ResetCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        CommandSender source = commandContext.getSource();
        GameStageManager.reset();
        source.sendMessage(Component.text("成功重置GameStageManager").color(NamedTextColor.RED));
        PlayerDataManager.getInstance().resetAllData();
        source.sendMessage(Component.text("成功重置玩家数据").color(NamedTextColor.RED));
        return 0;
    }
}
