package cn.wzpmc.hny.commands.lobby.sub.debug.get;

import cn.wzpmc.hny.games.PlayerDataManager;
import cn.wzpmc.hny.pojo.CustomItem;
import cn.wzpmc.hny.pojo.GlobalPlayerData;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import net.kyori.adventure.text.Component;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class GetCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        Player source = (Player) commandContext.getSource();
        Integer itemId = commandContext.getArgument("itemId", Integer.class);
        PlayerDataManager instance = PlayerDataManager.getInstance();
        GlobalPlayerData playerData = instance.getPlayerData(source);
        if (itemId == -1){
            CustomItem.ItemStatic.items.forEach((key, value) -> playerData.addItem(value));
            source.sendMessage(Component.text("所有道具已添加至道具仓库（临时添加）"));
            return 0;
        }
        playerData.addItem(CustomItem.ItemStatic.getItem(itemId));
        source.sendMessage(Component.text("道具：" + itemId + "已添加至道具仓库（临时添加）"));
        return 0;
    }
}
