package cn.wzpmc.hny.commands.lobby.sub.debug.get;

import cn.wzpmc.hny.games.PlayerDataManager;
import cn.wzpmc.hny.pojo.CustomItem;
import cn.wzpmc.hny.pojo.GlobalPlayerData;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import net.kyori.adventure.text.Component;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.inventory.PlayerInventory;

public class GetToInventoryCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        Player source = (Player) commandContext.getSource();
        Integer itemId = commandContext.getArgument("itemId", Integer.class);
        PlayerInventory inventory = source.getInventory();
        if (itemId == -1){
            CustomItem.ItemStatic.items.forEach((key, value) -> inventory.addItem(value.getStack(1)));
            source.sendMessage(Component.text("所有道具已导入物品栏"));
            return 0;
        }
        inventory.addItem(CustomItem.ItemStatic.getItem(itemId).getStack(1));
        source.sendMessage(Component.text("道具：" + itemId + "已导入物品栏"));
        return 0;
    }
}
