package cn.wzpmc.hny.commands.lobby.sub.debug.wind;

import cn.wzpmc.hny.utils.Wind;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.CommandSender;

public class RemoveWindCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        String name = commandContext.getArgument("name", String.class);
        Wind remove = Wind.winds.remove(name);
        CommandSender source = commandContext.getSource();
        if (remove == null){
            source.sendMessage(Component.text("找不到风场：" + name).color(NamedTextColor.RED));
        } else {
            source.sendMessage(Component.text("删除风场" + name + "成功").color(NamedTextColor.GREEN));
        }
        return 0;
    }
}
