package cn.wzpmc.hny.events;

import cn.wzpmc.hny.HappyNewLobby;
import com.onarandombox.MultiverseCore.MultiverseCore;
import com.onarandombox.MultiverseCore.api.MVWorldManager;
import com.onarandombox.MultiverseCore.api.MultiverseWorld;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.Server;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.plugin.PluginManager;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;
import org.spigotmc.event.player.PlayerSpawnLocationEvent;

public class PlayerSpawn implements Listener {
    private Location spawnLocation = null;
    @EventHandler
    public void onPlayerSpawn(PlayerSpawnLocationEvent event){
        if (this.spawnLocation == null){
            HappyNewLobby plugin = HappyNewLobby.getPlugin(HappyNewLobby.class);
            Server server = plugin.getServer();
            PluginManager pluginManager = server.getPluginManager();
            MultiverseCore mv = (MultiverseCore) pluginManager.getPlugin("Multiverse-Core");
            assert mv != null;
            MVWorldManager mvWorldManager = mv.getMVWorldManager();
            MultiverseWorld mvWorld = mvWorldManager.getMVWorld("JoinLobby");
            this.spawnLocation = new Location(mvWorld.getCBWorld(), 0.5, 101, 0.5, 180, 0);
            mvWorld.setSpawnLocation(spawnLocation);
        }
        event.setSpawnLocation(this.spawnLocation);
    }
}