package cn.wzpmc.hny.events;

import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.pojo.BoxPosition;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.attribute.Attribute;
import org.bukkit.attribute.AttributeInstance;
import org.bukkit.entity.EnderDragon;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.world.ChunkLoadEvent;
import org.bukkit.event.world.WorldLoadEvent;

import java.util.Collection;

public class WorldLoad implements Listener {
    private boolean isRun = false;
    private boolean isEndLoaded = false;
    @EventHandler
    public void onWorldLoad(ChunkLoadEvent event){
        World world = event.getWorld();
        String name = world.getName();
        if (name.equals("game1")){
            if (isRun){
                return;
            }
            isRun = true;
            for (Games value : Games.values()) {
                BoxPosition boxPosition = value.getBoxPosition();
                boxPosition.triggerRedstoneLamp(world, false);
            }
            BoxPosition boxPosition = Games.GAME5.getBoxPosition();
            boxPosition.replace(world, Material.END_PORTAL, Material.AIR);
        }
        if (name.equals("world_the_end")){
            if (isEndLoaded){
                return;
            }
            isEndLoaded = true;
            Collection<EnderDragon> entitiesByClass = world.getEntitiesByClass(EnderDragon.class);
            for (EnderDragon byClass : entitiesByClass) {
                AttributeInstance attribute = byClass.getAttribute(Attribute.GENERIC_MAX_HEALTH);
                if (attribute != null){
                    attribute.setBaseValue(1000);
                    byClass.setHealth(1000);
                }
            }
        }
    }
}
