package cn.wzpmc.hny.games.events;

import cn.wzpmc.hny.HappyNewLobby;
import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.utils.BetterBukkitRunnable;
import cn.wzpmc.hny.utils.StageDoneTask;
import lombok.Getter;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.Server;
import org.bukkit.World;
import org.bukkit.entity.Player;
@Getter
public abstract class StageEvent {
    protected Server server;
    protected HappyNewLobby plugin;
    protected Games game;
    protected Games nextGame;
    protected StageEvent(Games game, Games nextGame){
        this.plugin = HappyNewLobby.getPlugin(HappyNewLobby.class);
        this.server = this.plugin.getServer();
        this.game = game;
        this.nextGame = nextGame;
    }
    public abstract void onStageStart();
    public void onStageDone() {
        StageDoneTask stageDoneTask = new StageDoneTask(this, 127, 144, 252);
        stageDoneTask.runTaskLater(this.plugin, 40);
    };
}
