package cn.wzpmc.hny.games.events.impl;

import cn.wzpmc.hny.games.PlayerDataManager;
import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.pojo.BoxPosition;
import cn.wzpmc.hny.pojo.CustomItem;
import cn.wzpmc.hny.pojo.GlobalPlayerData;
import cn.wzpmc.hny.utils.Wind;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.entity.Player;

public class Game5StageEvent extends StageEvent {
    public Game5StageEvent() {
        super(Games.GAME5, Games.GAME5);
    }
    @Override
    public void onStageStart() {
        World game1World = server.getWorld("game1");
        BoxPosition boxPosition = Games.GAME5.getBoxPosition();
        boxPosition.replaceAir(game1World, Material.END_PORTAL);
        Wind wind = new Wind(new Location(game1World, 127, 144, 252), 227, 8.5, 10);
        wind.spawn("toTheEnd");
        PlayerDataManager instance = PlayerDataManager.getInstance();
        for (Player onlinePlayer : server.getOnlinePlayers()) {
            GlobalPlayerData playerData = instance.getPlayerData(onlinePlayer);
            if (playerData.getInventory().stream().anyMatch(e -> e.getType().equals(CustomItem.ItemStatic.FU_CARD))) {
                onlinePlayer.sendMessage(Component.text("集五福奖励：150货币").color(NamedTextColor.RED));
                playerData.removeItem(CustomItem.ItemStatic.FU_CARD);
                playerData.addMoney(150);
                instance.savePlayerData(onlinePlayer);
            }
        }
    }

    @Override
    public void onStageDone() {

    }
}
