package cn.wzpmc.hny.utils;

import net.kyori.adventure.title.Title;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;

import java.util.Collection;

public class MessageBroadcast extends BukkitRunnable {
    private final Title title;
    private final Collection<? extends Player> players;
    public MessageBroadcast(Title title, Collection<? extends Player> players){
        this.title = title;
        this.players = players;
    }
    @Override
    public void run() {
        for (Player player : this.players) {
            player.showTitle(title);
        }
    }
}
