package cn.wzpmc.hny.commands.lobby.sub;

import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class VoteCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        String stageName = commandContext.getArgument("stageName", String.class);
        Games game = Games.valueOf(stageName.toUpperCase());
        GameStageManager.getInstance().vote(game, (Player) commandContext.getSource());
        return 0;
    }
}
