package cn.wzpmc.hny.commands.lobby.sub.debug.wind;

import cn.wzpmc.hny.utils.Wind;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import org.bukkit.Location;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class CreateWindCommand implements Command<CommandSender> {
    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        Player player = (Player) commandContext.getSource();
        Location location = player.getLocation();
        Double radius = commandContext.getArgument("radius", Double.class);
        String name = commandContext.getArgument("name", String.class);
        Wind wind = new Wind(location,227, radius,2);
        wind.spawn(name);
        return 0;
    }
}
