package cn.wzpmc.hny.events;

import cn.wzpmc.hny.games.PlayerEffectManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

public class PlayerDeath implements Listener {
    public static Map<Player, Long> putOffs = new HashMap<>();
    @EventHandler
    public void onPlayerDeath(PlayerDeathEvent event){
        PlayerEffectManager effectManager = PlayerEffectManager.getInstance();
        Player player = event.getPlayer();
        if (effectManager.hasEffect(player, PlayerEffectManager.Effects.TOTEM_OF_UNDYING)) {
            event.setCancelled(true);
            player.setHealth(4);
            effectManager.addEffect(player, PlayerEffectManager.Effects.DISH, 3, TimeUnit.SECONDS);
            effectManager.removeEffect(player, PlayerEffectManager.Effects.TOTEM_OF_UNDYING);
            return;
        }
        if (effectManager.hasEffect(player, PlayerEffectManager.Effects.PUT_OFF)){
            event.setCancelled(true);
            player.setHealth(20);
            putOffs.put(player, System.currentTimeMillis() + 20000);
            effectManager.removeEffect(player, PlayerEffectManager.Effects.PUT_OFF);
            return;
        }
        player.getInventory().clear();
    }
}
