package cn.wzpmc.hny.events;

import cn.wzpmc.hny.games.DigGame;
import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.inventory.ItemStack;

public class PlayerDestroyBlock implements Listener {
    @EventHandler
    public void onPlayerDestroyBlock(BlockBreakEvent event){
        if (GameStageManager.getInstance().isEnd(Games.GAME3)){
            return;
        }
        Player player = event.getPlayer();
        if (DigGame.isPlayerInGame(player)){
            Block block = event.getBlock();
            Material type = block.getType();
            if (type.equals(Material.SNOW_BLOCK) || type.equals(Material.POWDER_SNOW)){
                event.setDropItems(false);
                player.getInventory().addItem(new ItemStack(Material.SNOWBALL, 1));
                return;
            }
            event.setCancelled(true);
        }
    }
}
