package cn.wzpmc.hny.games;

import cn.wzpmc.hny.HappyNewLobby;
import cn.wzpmc.hny.games.enums.Games;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.title.Title;
import org.bukkit.GameMode;
import org.bukkit.Server;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class MazeDataManager {
    private static MazeDataManager instance;
    private final List<Player> donePlayer;
    private final List<Player> allPlayer;
    private MazeDataManager(){
        this.donePlayer = new ArrayList<>();
        this.allPlayer = new ArrayList<>();
        HappyNewLobby plugin = HappyNewLobby.getPlugin(HappyNewLobby.class);
        Server server = plugin.getServer();
        allPlayer.addAll(server.getOnlinePlayers());
    }
    public static MazeDataManager getInstance() {
        if (instance == null){
            instance = new MazeDataManager();
        }
        return instance;
    }
    public void winPlayer(Player player){
        player.showTitle(Title.title(Component.text("恭喜你完成迷宫！"), Component.empty()));
        player.setGameMode(GameMode.SPECTATOR);
        donePlayer.add(player);
        if (donePlayer.size() == allPlayer.size()){
            GameStageManager.getInstance().triggerGameEnd(Games.GAME4);
        }
    }
}
