package cn.wzpmc.hny.games.enums;

import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.games.events.impl.*;
import cn.wzpmc.hny.pojo.BoxPosition;
import lombok.Getter;
import lombok.Setter;

public enum Games {
    GAME1(new BoxPosition(126,230,252,68,135,310)),
    GAME2(new BoxPosition(126,230,251,68,135,193)),
    GAME3(new BoxPosition(127,230,251,185,135,193)),
    GAME4(new BoxPosition(127,230,252,185,135,310)),
    GAME5(new BoxPosition(135,227,260,118,227,243));
    static {
        GAME1.setEvent(new Game1StageEvent());
        GAME2.setEvent(new Game2StageEvent());
        GAME3.setEvent(new Game3StageEvent());
        GAME4.setEvent(new Game4StageEvent());
        GAME5.setEvent(new Game5StageEvent());
    }
    @Getter
    final BoxPosition boxPosition;
    @Setter
    StageEvent event;
    Games(BoxPosition boxPosition){
        this.boxPosition = boxPosition;
    }

    public void triggerStartEvent(){
        this.event.onStageStart();
    }
    public void triggerDoneEvent(){
        this.event.onStageDone();
    }
}
