package cn.wzpmc.hny.games.events.impl;

import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.SumoGame;
import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.utils.BetterBukkitRunnable;
import lombok.SneakyThrows;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;

public class Game1StageEvent extends StageEvent {
    private SumoGame sumoGame;

    public Game1StageEvent() {
        super(Games.GAME1, Games.GAME2);
    }

    @SneakyThrows
    @Override
    public void onStageStart() {
        this.sumoGame = new SumoGame();
        this.sumoGame.prepare();
    }

    @Override
    public void onStageDone() {
        super.onStageDone();
        new BetterBukkitRunnable(() -> this.sumoGame.close()).runTaskLater(this.plugin, 100);
    }
}
