package cn.wzpmc.hny.games.events.impl;

import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.games.events.StageEvent;
import cn.wzpmc.hny.utils.BetterBukkitRunnable;
import cn.wzpmc.hny.utils.StageDoneTask;
import com.onarandombox.MultiverseCore.MultiverseCore;
import com.onarandombox.MultiverseCore.api.MVWorldManager;
import com.onarandombox.MultiverseCore.api.MultiverseWorld;
import net.kyori.adventure.title.Title;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;

public class Game4StageEvent extends StageEvent {
    public Game4StageEvent() {
        super(Games.GAME4, Games.GAME5);
    }
    @Override
    public void onStageStart() {
        MultiverseCore mv = (MultiverseCore)server.getPluginManager().getPlugin("Multiverse-Core");
        assert mv != null;
        MVWorldManager mvWorldManager = mv.getMVWorldManager();
        MultiverseWorld mvMazeWorld = mvWorldManager.getMVWorld("maze");
        World cbWorld = mvMazeWorld.getCBWorld();
        Location teleport = new Location(cbWorld, -9, 66, -12);
        for (Player onlinePlayer : server.getOnlinePlayers()) {
            onlinePlayer.teleport(teleport);
            onlinePlayer.setGameMode(GameMode.ADVENTURE);
            onlinePlayer.setBedSpawnLocation(teleport, true);
        }
    }

    @Override
    public void onStageDone() {
        new StageDoneTask(this, 153.5, 144, 252, 90, -20).runTaskLater(this.plugin, 40);
        new BetterBukkitRunnable(() -> GameStageManager.getInstance().triggerGameStart(Games.GAME5)).runTaskLater(this.plugin, 50);
    }
}
