package cn.wzpmc.hny.utils;

import org.bukkit.attribute.Attributable;
import org.bukkit.attribute.Attribute;
import org.bukkit.attribute.AttributeInstance;
import org.bukkit.entity.LivingEntity;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;

public class EntityUtils {
    public static void modifyValue(Attributable entity, Attribute attribute, double baseValue){
        AttributeInstance instance = entity.getAttribute(attribute);
        if (instance != null){
            instance.setBaseValue(baseValue);
        }
    }
    public static void addEffects(LivingEntity entity, PotionEffectType type, int level){
        entity.addPotionEffect(new PotionEffect(type,20000000,level,false));
    }
}
